<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
include($wpdir.'/wp-load.php');
		
// Get default options
$config = get_option('spp_grtfonts_options');
$pid = stripslashes( $_GET['pid'] );
$postfonts = get_post_meta ( $pid, '_postfonts', true );

// Filter and sort out options
$access_key = sanitize_text_field( $config['access_key'] );
$secret = sanitize_text_field( $config['secret'] );
$bucket = ( empty($bucket) ) ? sanitize_text_field( $config['def_bucket'] ) : '';
$expiry = ( empty( $expiry ) ) ? sanitize_text_field( $config['expiry'] ) : '';
$exp_msg = esc_textarea( $config['exp_msg'] );
$button = ( empty( $button ) ) ? sanitize_text_field( $config['def_button'] ) : '';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo SPP_GRTFONTS_PLUGIN_NAME; ?></title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo SPP_GRTFONTS_DIR; ?>modules/css/tinymce_button_dialog.css">
<link type="text/css" rel="stylesheet" media="all" href="<?php echo SPP_GRTFONTS_DIR; ?>modules/css/front.css">
<link type="text/css" rel="stylesheet" media="all" href="<?php echo SPP_GRTFONTS_DIR; ?>modules/css/admin.css">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo SPP_GRTFONTS_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<?php
if( !empty( $postfonts ) )
foreach ($postfonts as $key => $font) {
// Replace font name with + as required by Webfonts to work 
$fontname = str_replace(' ', '+', $font);
?>
<link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=<?php echo $fontname; ?>" media="all" />
<?php
}
?>
<script type="text/javascript">
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
		// Try and remove existing style / blockquote
		//tinyMCEPopup.editor.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var font = jQuery('#spp-grtfonts-dialog input[type="radio"]:checked.font').val();
		var style = jQuery('#spp-grtfonts-dialog input[type="radio"]:checked.style').val();
		var size = jQuery('#spp-grtfonts-dialog input#size').val();
		 
		var output = '';
		
		// setup the output of our shortcode
			output += '<span ';
		if (style)
			output += 'class="' + style + '"';
			output += 'style="';
		if (font)
			output += 'font-family: '+ font +';';
		if (size)
			output += 'font-size: ' + size + 'px;';
			
			output += '">'+ButtonDialog.local_ed.selection.getContent() + '</span>';
			
		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>

</head>
<body class="spp-grtfonts-popup">
	<div id="spp-grtfonts-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr valign="top">
					<th scope="row"><label for="font">Use this font</label></th>
					<td colspan="5">
						<?php if( !empty( $postfonts ) )
						foreach ($postfonts as $key => $font) {							
							?>
						<label for="<?php echo $font; ?>" style="font-family: <?php echo $font; ?>"><?php echo $font; ?></label>
						<input type="radio" class="font" name="font", value="<?php echo $font; ?>" id="<?php echo $font; ?>" />
							<?php
						}
						?>
						
					</td>
				</tr>
				<tr>
					<th><label for="size" class="size">Font size</label></th>
					<td colspan="3">
						<input type="text" id="size" class="size" value="" /> px
					</td>
				</tr>
				<tr>
					<th>
						<label>Style</label>
					</th>
					<td class="center">
						<label for="neon-glow" class="sppgf-neon-glow">Green Neon</label><br>
						<input type="radio" id="neon-glow" class="style" value="sppgf-neon-glow" />
					</td>
					<td class="center">
						<label for="red-glow" class="sppgf-red-glow">Red Neon</label><br>
						<input type="radio" id="red-glow" class="style" value="sppgf-red-glow" />
					</td>
					<td class="center">
						<label for="light-glow" class="sppgf-light-glow">Light Glow</label><br>
						<input type="radio" id="light-glow" class="style" value="sppgf-light-glow" />
					</td>
				</tr>
				<tr>
					<th></th>
					<td class="center">
						<label for="dark-glow" class="sppgf-dark-glow">Dark Glow</label><br>
						<input type="radio" id="dark-glow" class="style" value="sppgf-dark-glow" />
					</td>
					<td class="center">
						<label for="high-rise" class="sppgf-high-rise">High Rise</label><br>
						<input type="radio" id="high-rise" class="style" value="sppgf-high-rise" />
					</td>
					<td class="center">
						<label for="emboss" class="sppgf-emboss">Emboss</label><br>
						<input type="radio" id="emboss" class="style" value="sppgf-emboss" />
					</td>
				</tr>
				<tr>
					<th></th>
					<td class="center">
						<label for="letterpress" class="sppgf-letterpress">Letterpress</label><br>
						<input type="radio" id="letterpress" class="style" value="sppgf-letterpress" />
					</td>
					<td class="center">
						<label for="offset-shadow" class="sppgf-offset-shadow">Offset Shadow</label><br>
						<input type="radio" id="offset-shadow" class="style" value="sppgf-offset-shadow" />
					</td>
					<td class="center">
						<label for="red-stroke" class="sppgf-red-stroke">Red Stroke</label><br>
						<input type="radio" id="red-stroke" class="style" value="sppgf-red-stroke" />
					</td>
				</tr>
				<tr>
					<th></th>
					<td class="center" colspan="3">
						<label for="black-stroke" class="sppgf-black-stroke">Black Stroke</label><br>
						<input type="radio" id="black-stroke" class="style" value="sppgf-black-stroke" />
					</td>					
				</tr>
			</table>
				<div id="submitbtn">
					<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration: none;">Insert</a>
				</div>
		</form>
	</div>
</body>
</html>