<?php 
// Admin
add_action('admin_head', 'spp_grtfonts_admin_scripts');
function spp_grtfonts_admin_scripts(){
	$screen = get_current_screen();
	global $post;

	if ( $screen->id == 'post' || $screen->id == 'page' ) {
		
		$config = get_option('spp_grtfonts_options');
		if( !empty( $config['selectedfonts'] ) )
		$fonts = implode('|', str_replace(' ', '+', $config['selectedfonts']) );
		wp_enqueue_style( 'spp_grtfonts_load', 'http://fonts.googleapis.com/css?family='.$fonts, '', '', 'all' );		

		// Load fonts styles in tinymce
		add_filter( 'mce_css', 'spp_grtfonts_mce_css' );

		// Localize script to pass on post ID to customer
		wp_enqueue_script( 'spp-grtfonts-admin', SPP_GRTFONTS_DIR.'modules/js/admin.js', array('jquery'), SPP_GRTFONTS_VERSION, true );
		wp_localize_script( 'spp-grtfonts-admin', 'spp_grtfonts', array( 'pid' => $post->ID ) );
	}
}

// Load CSS styles in WYSIWYG editor
function spp_grtfonts_mce_css( $mce_css ) {
	global $post;
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

	$postfonts = get_post_meta ( $post->ID, '_postfonts', true );
	$fonts = implode('|', str_replace(' ', '+', $postfonts) );
	$mce_css .= 'http://fonts.googleapis.com/css?family='.$fonts.',';
	
	// Load front end styles
	$mce_css .= SPP_GRTFONTS_DIR.'modules/css/front.css';
	
	// Apply current theme stylesheet
	//$mcssce_css .= ','.get_stylesheet_uri();

	return $mce_css;
}

// Public
add_action( 'wp_enqueue_scripts', 'spp_grtfonts_front_scripts' );
function spp_grtfonts_front_scripts () {
	global $post;
	$postfonts = get_post_meta ( $post->ID, '_postfonts', true );

	if ( ( is_single() || is_page() ) && !empty( $postfonts ) ) {
		// Enqueue front.css for shadow styles
		wp_enqueue_style( 'spp-grtfonts-front', SPP_GRTFONTS_DIR.'modules/css/front.css', '', '', 'all' );
		// Convert array of fonts to string and replace spaces with '+'
		$fonts = implode('|', str_replace(' ', '+', $postfonts) );
		// Enqueue multiple Google Fonts
		wp_enqueue_style( 'spp_grtfonts_load', 'http://fonts.googleapis.com/css?family='.$fonts, '', '', 'all' );	
	}

	if( is_archive() ) {
		// Enqueue front.css for shadow styles
		wp_enqueue_style( 'spp-grtfonts-front', SPP_GRTFONTS_DIR.'modules/css/front.css', '', '', 'all' );
		$config = get_option('spp_grtfonts_options');
		$fonts = implode('|', str_replace(' ', '+', $config['selectedfonts']) );
		wp_enqueue_style( 'spp_grtfonts_load', 'http://fonts.googleapis.com/css?family='.$fonts, '', '', 'all' );		
	}
	
}
?>