<?php
// Add metabox
add_action( 'add_meta_boxes', 'spp_grtfonts_add_metabox' );
function spp_grtfonts_add_metabox() {	
	add_meta_box( 
		'spp_grtfonts_font',
		__( 'Add Great Fonts', 'spp_grtfonts' ),
		'spp_grtfonts_mbe_callback',
		'post', 'side' , 'high'
	);
	add_meta_box( 
		'spp_grtfonts_font',
		__( 'Add Great Fonts', 'spp_grtfonts' ),
		'spp_grtfonts_mbe_callback',
		'page' , 'side' , 'high'
	);
}

// Callback for metabox
function spp_grtfonts_mbe_callback( $post ) {	
	$config = get_option('spp_grtfonts_options');
	$postfonts = get_post_meta ( $post->ID, '_postfonts', true );

	wp_nonce_field( plugin_basename( __FILE__ ), 'spp_grtfonts_nonce' );
	echo "<label>Select fonts to use on this page</label>";

	if( !empty( $config['selectedfonts'] ) )
		
		foreach ($config['selectedfonts'] as $key => $font) {
		
		if( !empty( $postfonts ) )
		$checked = in_array( $font, $postfonts ) ? 'checked' : '';

		// Replace font name with + as required by Webfonts to work 
		$fontname = str_replace(' ', '+', $font);			
			?>
			<div class='fontitem' id='<?php echo strip_tags( $font ); ?>'>				
			<label style="font-family: '<?php echo $font; ?>'; "><input type="checkbox" name="postfonts[]" value="<?php echo strip_tags( $font ); ?>" <?php echo $checked; ?>> <?php echo strip_tags( $font ); ?></label>
			</div>
			<?php
		}
}

// Save metabox data
add_action( 'save_post', 'spp_grtfonts_save_postdata' );
function spp_grtfonts_save_postdata( $post_id ) {
	// Stop overriding metabox on autosave
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
	  return;
	if ( !wp_verify_nonce( $_POST['spp_grtfonts_nonce'], plugin_basename( __FILE__ ) ) )
	  return;
	if ( 'page' == $_POST['post_type'] ) 
	{
	if ( !current_user_can( 'edit_page', $post_id ) )
	    return;
	}
	else
	{
	if ( !current_user_can( 'edit_post', $post_id ) )
	    return;
	}

	// Update only if post type is post or page
	if( get_post_type( $post_id ) == 'post' || get_post_type( $post_id ) == 'page' ){ 
		
	update_post_meta( $post_id, '_postfonts', $_POST['postfonts'] );
	}
}

?>