<?php	
add_action('admin_menu', 'spp_grtfonts_add_adminmenu');
function spp_grtfonts_add_adminmenu() {
	// Add settings page and loads js/css conditionally
	$settings = add_options_page(SPP_GRTFONTS_PLUGIN_NAME.' Settings', SPP_GRTFONTS_PLUGIN_NAME, 'manage_options', 'spp_grtfonts_config', 'spp_grtfonts_config');
 	add_action( 'load-'.$settings, 'spp_grtfonts_adminscripts' );
}

function spp_grtfonts_adminscripts() {
	wp_enqueue_script( 'spp-grtfonts-admin-ajax', SPP_GRTFONTS_DIR.'modules/js/adminajax.js', array('jquery'), SPP_GRTFONTS_VERSION, true );
	wp_enqueue_script( 'spp-grtfonts-admin', SPP_GRTFONTS_DIR.'modules/js/admin.js', array('jquery'), SPP_GRTFONTS_VERSION, true );
	wp_enqueue_style( 'spp-grtfonts-admin', SPP_GRTFONTS_DIR.'modules/css/admin.css', '', SPP_GRTFONTS_VERSION, 'all' );

	$config = get_option('spp_grtfonts_options');
	if( !empty( $config['selectedfonts'] ) )
	foreach ($config['selectedfonts'] as $key => $font) {			
		// Replace font name with + as required by Webfonts to work 
		$fontname = str_replace(' ', '+', $font);
		wp_enqueue_style( $font, 'http://fonts.googleapis.com/css?family='.$fontname, '', '', 'all' );
	}

	// Output admin-ajax.php URL with same protocol as current page
	$params = array(
		'nonce' => wp_create_nonce('spp_grtfonts_getfonts_form'),
		'is_admin' => is_admin()
	);
	// in javascript, object properties are accessed as ajax_object.ajax_url, ajax_object.key
	wp_localize_script( 'spp-grtfonts-admin-ajax', 'spp_grtfonts_object', $params );
}

function spp_grtfonts_config(){

?>
<div class="wrap">
<h2><?php echo SPP_GRTFONTS_PLUGIN_NAME; ?> Settings</h2>

 <?php
 	if( ( $_POST['posted'] == 1 ) && wp_verify_nonce( $_POST['spp_grtfonts_settings'], 'save_settings' ) && ( is_admin() == 1 ) ) :
 ?>
    <div id="message" class="updated"><p>Settings saved successfully</p></div>
<?php	
	// Sanitiize user input
	if( !empty( $_POST['selectedfonts'] ) )
	$selectedfonts = array_map('strip_tags', $_POST['selectedfonts']);
	$api_key = sanitize_text_field( $_POST['api_key'] );

	$spp_grtfonts_options = array(
	'selectedfonts' =>  $selectedfonts,
	'api_key' => $api_key
	//'design' =>  $_POST['design']
	);
	update_option('spp_grtfonts_options', $spp_grtfonts_options );

?>
  
  
  <?php else:  ?>
  
  <?php //exit; ?>
  
  <?php endif; ?> 
  <form action="" method="POST" id="spp-grtfonts-getfonts">
  	<?php wp_nonce_field('spp_grtfonts_getfonts_form'); ?>
  	<table class="form-table">
		<tr valign="top">
			<th scope="row">
			Select fonts for this site
			</th>
			<td><?php get_googlewebfonts(); ?>
		  	<input type="hidden" value="1" name="ajax_posted" /> <a href="http://www.google.com/fonts/" target="_new">View fonts on Google</a>
		  	<!-- Don't use submit, button
			<input type="submit" id="spp-grtfonts-ajax-submit" name="spp_grtfonts_ajax_submit" value="<?php _e('Add Font', 'spp_grtfonts'); ?>" class="button-secondary" /> -->
			<img src="<?php echo SPP_GRTFONTS_WP_DIR; ?>/wp-admin/images/wpspin_light.gif" class="waiting" id="spp-grtfonts-loading" style="display:none;">
			</td>
		</tr>
  	</table>
  </form>
<form id="spp-grtfonts-settings-form" method="post" action="">
	<?php wp_nonce_field('save_settings', 'spp_grtfonts_settings');  
	$config = get_option('spp_grtfonts_options');

	// Escape before output
	$api_key = esc_attr( $config['api_key'] );
?>  
<table class="form-table">	
	<tr valign="top">
		<th scope="row">Saved fonts</th>
		<td><div id="selectedfonts"></div>
			<?php
			if( !empty( $config['selectedfonts'] ) )
			
			foreach ($config['selectedfonts'] as $key => $font) {
			
			// Replace font name with + as required by Webfonts to work 
			$fontname = str_replace(' ', '+', $font);			
				?>
				<div class='fontitem' id='<?php echo strip_tags( $font ); ?>'>				
				<label style="font-family: '<?php echo $font; ?>'; "><input type="checkbox" name="selectedfonts[]" value="<?php echo strip_tags( $font ); ?>" checked> <?php echo strip_tags( $font ); ?></label>
				</div>
				<?php
			}
			?>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Your Gogle Webfonts API Key</th>
		<td><input type="password" name="api_key" size="50" value="<?php echo $api_key; ?>">
		</td>
	</tr>
</table>

<input type="hidden" value="1" name="posted" />
<input type="submit" id="spp-grtfonts-submit" name="spp_grtfonts_submit" value="<?php _e('Save Changes', 'spp_grtfonts'); ?>" class="button-primary" />
</form>
  
</div><!-- end wrap -->


<?php 
}
?>